### Method

# Gtk Widget get_baseline

since: 4.12

#### Declaration [src]

    int
    gtk_widget_get_baseline (
      GtkWidget* widget
    )

#### Description [src]

Returns the baseline that has currently been allocated to the widget.

This function is intended to be used when implementing handlers for the `GtkWidgetClass.snapshot()` function, and when allocating child widgets in `GtkWidgetClass.size_allocate()`.

Available since: 4.12

#### Return value

Type: `int`

The baseline of the `widget`, or -1 if none.